/**
 * Sketch: PaddleBox
 * Author: R. Eastman
 * Date:   Feb. 2016, revised Jan. 2019
 * Goal:   A simple pong-like game to catch boxes
*/

// Ball
Ball pong;

// Postion of paddle
float px = 0;
float py = 0;
// Width and height of paddle
float pw = 20;
float ph = 40;

void setup() {
  size(400,300);
  // Intialize first object
  pong = new Ball();
  // Initialize paddle
  px = width-40;
  py = height/2;
}


void draw() {

  // Move object
  pong.update();
 // Move paddle
   if (keyPressed && keyCode == DOWN)
      py = constrain(py+2,0,height);
  else if (keyPressed && keyCode == UP)
      py = constrain(py-2,0,height);
  // Has object hit the wall?
  if (pong.hitRight()) {
     println("Missed!");
     // Reset box
     pong = new Ball();
  }
  else if (pong.hitLeft()) { pong.reverseX(); }
  else if (pong.hitTop()|| pong.hitBottom()) { pong.reverseY(); }
  // Have you caught the object?
  if (pong.x > width-40 && pong.x < width-20 
      && pong.y > py    && pong.y < py + ph ) {
        println("HIT! ******** ");
        // Reset box
        pong.reverseX();
      }
  // Draw background
  background(255);
  fill(255);
  rect(1,1,width-2,height-2);
  // Draw ball
  pong.draw();
  // Draw paddle
  fill(255);
  rect(px,py,pw,ph);
}

void mousePressed() {
  save("image.jpg");
}
  
 